Bug 1000253 - graphite-web contains bundled Flash files
graphite-web contains bundled Flash files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: graphite-web (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
 
Reported: 2013-08-23 00:25 EDT by T.C. Hollingsworth
Modified: 2013-10-18 15:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: graphite-web-0.9.12-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 02:26:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:25:28 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:
/usr/share/graphite/webapp/content/js/ext/resources/charts.swf
/usr/share/graphite/webapp/content/js/ext/resources/expressinstall.swf

If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 Jonathan Steffan 2013-09-02 17:08:04 EDT
Acknowledged. Will contact upstream.
Comment 2 Fedora Update System 2013-09-17 19:16:16 EDT
graphite-web-0.9.12-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-2.fc18
Comment 3 Fedora Update System 2013-09-17 19:16:27 EDT
graphite-web-0.9.12-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-2.el6
Comment 4 Fedora Update System 2013-09-17 19:16:38 EDT
graphite-web-0.9.12-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-2.el5
Comment 5 Fedora Update System 2013-09-17 19:16:46 EDT
graphite-web-0.9.12-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-2.fc19
Comment 6 Fedora Update System 2013-09-17 19:16:54 EDT
graphite-web-0.9.12-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-2.fc20
Comment 7 Fedora Update System 2013-09-18 09:08:20 EDT
Package graphite-web-0.9.12-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing graphite-web-0.9.12-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17042/graphite-web-0.9.12-2.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-09-24 20:34:42 EDT
graphite-web-0.9.12-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-3.fc19
Comment 9 Fedora Update System 2013-09-24 20:34:59 EDT
graphite-web-0.9.12-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-3.fc20
Comment 10 Fedora Update System 2013-09-24 20:35:13 EDT
graphite-web-0.9.12-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-3.fc18
Comment 11 Fedora Update System 2013-09-24 20:35:29 EDT
graphite-web-0.9.12-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-3.el6
Comment 12 Fedora Update System 2013-10-02 02:26:48 EDT
graphite-web-0.9.12-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-10-17 14:02:27 EDT
graphite-web-0.9.12-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-10-18 15:40:16 EDT
graphite-web-0.9.12-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-10-18 15:43:24 EDT
graphite-web-0.9.12-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.